package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de entrada
 */

public enum TelActionPapel0Enum {

	SOLICITUD(TipoAportacionEnum.SOLICITUD_CIUDADANO_PRESENCIAL.getTipo(), "telAction.solicitud"), //
	APORTACION(TipoAportacionEnum.APORTACION_DOCUMENTOS_CIUDADANO_PRESENCIAL.getTipo(), "telAction.aportacion"); //

	private TelActionPapel0Enum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

	public static String getLabelDescEs(String telActionId) {
		for (TelActionPapel0Enum tel : TelActionPapel0Enum.values()) {
			if (tel.getId().equalsIgnoreCase(telActionId)) {
				return tel.getLabelDesc(com.ejie.ad74a.constantes.Constantes.LOCALE_ES);
			}
		}
		return "";
	}

	public static String getLabelDescEu(String telActionId) {
		for (TelActionPapel0Enum tel : TelActionPapel0Enum.values()) {
			if (tel.getId().equalsIgnoreCase(telActionId)) {
				return tel.getLabelDesc(com.ejie.ad74a.constantes.Constantes.LOCALE_EU);
			}
		}
		return "";
	}

}
